#if !defined HAVE_BITLDEQ_H__
#define      HAVE_BITLDEQ_H__
// This file is part of the FXT library.
// Copyright (C) 2010 Joerg Arndt
// License: GNU General Public License version 3 or later,
// see the file COPYING.txt in the main directory.

#include "fxttypes.h"


static inline bool ld_eq(ulong x, ulong y)
// Return whether floor(log2(x))==floor(log2(y))
{
    return  ( (x^y) <= (x&y) );
}
// -------------------------

static inline bool ld_neq(ulong x, ulong y)
// Return whether floor(log2(x))!=floor(log2(y))
{
    return  ( (x^y) > (x&y) );
}
// -------------------------


#endif  // !defined HAVE_BITLDEQ_H__
